cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
1329
Views
0
Helpful
5
Replies

Needing to upgrade IOS on 2800 router

IVAN HARO
Beginner
Beginner

          Needing to upgrade IOS on 2800 router from c2800nm-advipservicesk9-mz.123-14.T7.bin to

c2800nm-advipservicesk9-mz.124-15.T13.bin.  I noticed ther are several other files on the old code that may needed for booting up router but Im running low on memory.  The other existing files are ;

c2800nm-advsecurityk9-mz.124-3i.bin

securedesktop-ios-3.1.1.45-k9.pkg

  sslclient-win-1.1.4.176.pkg

Do I need these files for the upgrade or can i delete them when upgrading to 124-15.T13.bin. ????

Thanks

5 Replies 5

Reza Sharifi
Hall of Fame Master Hall of Fame Master
Hall of Fame Master

If you are not using these other files, than you can delete them to make room for the new IOS. The

c2800nm-advsecurityk9-mz.124-3i.bin

Is an older IOS image and can be deleted.  Not sure about the other 2 files, if you are not sure you are using them or not and have enough flash for these and the new IOS, you can keep them.

HTH

Thanks for your answer.  Not sure if Im using the additional files or not, maybe there is a cisco site that shows what they are used for?  I just didnt want to delete them then discover later that I need them to run some protocol or feature??  I guess I can delete the one file you mention plus the old IOS file and that will give me just enough space.

if your booting IOS is c2800nm-advipservicesk9-mz.123-14.T7.bin then you can delete c2800nm-advsecurityk9-mz.124-3i.bin but before doing that keep a copy of the IOS with you for safer side also make sure that "boot system flash:c2800nm-advsecurityk9-mz.124-3i.bin" command is not there in your configuration.

Hi Ivan,

This files are needed for SSL VPN gateway. Not sure if you are using it.

Kind Regards,
Ivan Shirshin

**Please grade this post if you find it useful.

Kind Regards,
Ivan

Muhammad Thanveer
Contributor
Contributor

Make sure that boot system flash c2800nm-advipservicesk9-mz.124-15.T13.bin should be there.

If you are not sure that you are using the older files or not, first remove the ios upon which you are trying to update the newer version, then place the newer IOS.

Please note after removing the older IOS you shouldnot restart the device and make sure power is also having a UPS backup.

Please remember to rate all helpful tags, it may be helpful for others.

Regards
Thanveer
"Everybody is genius. But if you judge a fish by its ability to climb a tree, it will live its whole life believing that it is a stupid."

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers